Stream pipeline step execution logs (SSE)
curl --request GET \
--url https://api.ravion.com/pipeline-step-executions/{id}/logs/stream \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/pipeline-step-executions/{id}/logs/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/pipeline-step-executions/{id}/logs/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"logStreamName": "<string>",
"message": "<string>",
"timestamp": "<string>",
"ingestionTime": "<string>",
"level": "<string>"
}
],
"isFinal": true
}PipelineStepExecutions
Stream pipeline step execution logs (SSE)
Stream this pipeline step execution’s CloudWatch logs via SSE. GET /pipeline-step-executions//logs/stream in the Ravion API reference.
GET
/
pipeline-step-executions
/
{id}
/
logs
/
stream
Stream pipeline step execution logs (SSE)
Path Parameters
Query Parameters
Start time for historical logs (ISO 8601). Defaults to the step execution's startedAt, falling back to createdAt.
End time for historical logs (ISO 8601). Defaults to 30 seconds after completedAt for completed steps, otherwise now. Ignored if tail=true.
If true, after fetching historical logs, switch to live tail mode for real-time streaming
Optional CloudWatch FilterPattern (e.g. "ERROR" or ""deploy_id":"abc"") applied to historical and live-tail events. Empty string disables filtering.
Was this page helpful?